unity-panel-service crashed with SIGSEGV in raise()

Bug #1219325 reported by new4u on 2013-08-31
232
This bug affects 42 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Critical
Marco Trevisan (Treviño)
unity (Ubuntu)
Critical
Unassigned

Bug Description

on 13.10, after upgrading, unity is not available anymore at all

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: unity-services 7.1.0+13.10.20130829.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-4.9-generic 3.11.0-rc7
Uname: Linux 3.11.0-4-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 2.12.1-0ubuntu3
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Sun Sep 1 00:21:47 2013
DistUpgraded: 2013-08-31 22:49:18,711 DEBUG enabling apt cron job
DistroCodename: saucy
DistroVariant: ubuntu
ExecutablePath: /usr/lib/unity/unity-panel-service
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Pitcairn PRO [Radeon HD 7850] [1002:6819] (prog-if 00 [VGA controller])
   Subsystem: PC Partner Limited / Sapphire Technology Radeon HD 7850 2GB GDDR5 DVI-I/DVI-D/HDMI/DP [174b:e221]
InstallationDate: Installed on 2012-11-07 (297 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: System manufacturer System Product Name
MarkForUpload: True
ProcCmdline: /usr/lib/unity/unity-panel-service
ProcEnviron:
 PATH=(custom, no user)
 LANGUAGE=de_AT:de
 XDG_RUNTIME_DIR=<set>
 LANG=de_AT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-4-generic root=UUID=24f4f8b2-705c-403c-a4de-61060661b79b ro quiet splash vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0x7f76d304d719 <g_type_check_instance+25>: mov (%rax),%rdi
 PC (0x7f76d304d719) ok
 source "(%rax)" (0xaaaaaaaaaaaaaaaa) not located in a known VMA region (needed readable region)!
 destination "%rdi" ok
 Stack memory exhausted (SP below stack segment)
SegvReason: reading unknown VMA
Signal: 11
SourcePackage: unity
StacktraceTop:
 raise (sig=15) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:38
 ffi_call_unix64 () from /usr/lib/x86_64-linux-gnu/libffi.so.6
 ffi_call () from /usr/lib/x86_64-linux-gnu/libffi.so.6
 g_cclosure_marshal_generic () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
Title: unity-panel-service crashed with SIGSEGV in raise()
UpgradeStatus: Upgraded to saucy on 2013-08-31 (0 days ago)
UserGroups: adm cdrom dip libvirtd lpadmin plugdev sambashare sudo vboxusers
dmi.bios.date: 10/20/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2101
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P7P55D
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2101:bd10/20/2011:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP7P55D:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.10+13.10.20130828.2-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs 20090808ubuntu36
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2.901-2ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.14-4ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Sun Sep 1 00:21:51 2013
xserver.configfile: /etc/X11/xorg.conf
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.14.2.901-2ubuntu4
xserver.video_driver: fglrx

Related branches

new4u (new4u) wrote :

StacktraceTop:
 raise (sig=15) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:38
 ffi_call_unix64 () at ../src/x86/unix64.S:76
 ffi_call (cif=cif@entry=0x7f76cbfd3680, fn=0x7f76d354cc40 <g_dbus_connection_real_closed>, rvalue=0x7f76cbfd35f0, avalue=avalue@entry=0x7f76cbfd3590) at ../src/x86/ffi64.c:522
 g_cclosure_marshal_generic (closure=0x7f76c40043c0, return_gvalue=0x0, n_param_values=<optimized out>, param_values=<optimized out>, invocation_hint=<optimized out>, marshal_data=0x7f76d354cc40 <g_dbus_connection_real_closed>) at /build/buildd/glib2.0-2.37.6/./gobject/gclosure.c:1454
 g_closure_invoke (closure=0x7f76c40043c0, return_value=0x0, n_param_values=3, param_values=0x7f76cbfd3890, invocation_hint=0x7f76cbfd3830) at /build/buildd/glib2.0-2.37.6/./gobject/gclosure.c:777

Changed in unity (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Stephen M. Webb (bregma) on 2013-09-01
tags: added: unity-panel-service
Changed in unity (Ubuntu):
status: New → Triaged
importance: Medium → High
information type: Private → Public
Changed in unity (Ubuntu):
importance: High → Critical
Changed in unity:
importance: Undecided → Critical
status: New → Triaged
Changed in unity:
status: Triaged → Fix Committed
Changed in unity (Ubuntu):
status: Triaged → Fix Released
Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
milestone: none → 7.3.1
Stephen M. Webb (bregma) on 2015-02-11
Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers